#= Makefile for dcpam/execsrc/all-in
#
# Authors::   Yasuhiro MORIKAWA, Shin-ichi Takehiro
# Version::   $Id: Makefile,v 1.10 2025/09/18 10:00:00 takepiro Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2004-2025. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

TARGETS = dcpam_main_QBO dcpam_init_data_QBO
TARGETS_ZONAL	= dcpam_main_QBO_zonal dcpam_init_data_QBO_zonal
TARGETS_MPI	= dcpam_main_QBO_mpi dcpam_init_data_QBO_mpi

# End Settings
######################################################################

######################################################################
#== Rules

all: serial zonal mpi

include $(DIRDEPTH)/rules.make

serial: $(TARGETS)

zonal: $(TARGETS_ZONAL)

mpi: $(TARGETS_MPI)

clean.all:
	-@$(RM) $(TARGETS) $(TARGETS_ZONAL) $(TARGETS_MPI)

dcpam_main_QBO: dcpam_main_QBO.f90
	  $(BINDIR)/dcpamfrt $< -o $@

dcpam_main_QBO_zonal: dcpam_main_QBO.f90
	  $(BINDIR)/dcpamfrt --zonal $< -o $@

dcpam_main_QBO_mpi: dcpam_main_QBO.f90
	  $(BINDIR)/dcpamfrt --mpi $< -o $@

dcpam_init_data_QBO: dcpam_init_data_QBO.f90
	  $(BINDIR)/dcpamfrt $< -o $@

dcpam_init_data_QBO_zonal: dcpam_init_data_QBO.f90
	  $(BINDIR)/dcpamfrt --zonal $< -o $@

dcpam_init_data_QBO_mpi: dcpam_init_data_QBO.f90
	  $(BINDIR)/dcpamfrt --mpi $< -o $@
